<nav class="navbar navbar-default">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" (click)="isCollapsed = !isCollapsed">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="glyphicon glyphicon-home" href="#" aria-hidden="true"></a>
          <span *ngIf="current_project">Project : {{current_project}}</span>
    </div>
    
    <div class="collapse navbar-collapse" [collapse]="isCollapsed" id="bs-example-navbar-collapse-1">
      <ul class="nav navbar-nav navbar-right">
        <li><a href="/projects">All projects</a></li>
        <li *ngIf="current_project">
            <a [routerLink]="['/project', current_project, 'patterns']">
                Patterns
            </a>
        </li>
        <li *ngIf="current_project">
          <a [routerLink]="['/project', current_project]">Queries</a>
        </li>

        <li class="dropdown" dropdown *ngIf="projects">
        	<button class="btn btn-default btn-rounded" type="button" dropdown-open>
    		    Select project
    		    <span class="caret"></span>
    		  </button>
          <ul class="dropdown-menu">
            <li *ngFor="let project of projects">
                <a [routerLink]="['/project', project.projectName]">{{project.projectName}}</a>
            </li>
          </ul>

        </li>
      </ul>
    </div>
  </div>
</nav>